#include "..\script_component.hpp"

/*
 * Author: IDSolutions
 * Gets the current state of a player
 *
 * Arguments:
 * 0: Player <OBJECT>
 *
 * Return Value:
 * Player State <HASHMAP>
 *
 * Example:
 * _state = [player] call forge_client_common_fnc_actorStateGet
 *
 * Public: No
 */

params [["_player", objNull, [objNull]]];

private _loadout = getUnitLoadout _player;
private _pos = getPosASL _player;
private _dir = getDir _player;
private _stance = stance _player;
private _phone = GETVAR(_player,FORGE_Phone,QUOTE(000-000-0000));
private _email = GETVAR(_player,FORGE_Email,QUOTE(player@example.com));
private _bank = GETVAR(_player,FORGE_Bank,0);
private _cash = GETVAR(_player,FORGE_Cash,0);
private _state = lifeState _player;

private _hash = createHashMap;

_hash set ["loadout", _loadout];
_hash set ["position", _pos];
_hash set ["direction", _dir];
_hash set ["stance", _stance];
_hash set ["phone", _phone];
_hash set ["email", _email];
_hash set ["bank", _bank];
_hash set ["cash", _cash];
_hash set ["state", _state];

_hash